Create Release Group Releases
post
https://app.fossa.com/api/project_group/{groupId}/releaseCreates a new release for a given release group
Path parameters
groupIdintegerrequiredThe ID of the release group
Request body (required) · application/json
titlestringprojectsobject[]projectIdstringbranchstringrevisionIdstringResponses
200The created release, including its projectsobject
400Bad RequestuuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
403ForbiddenmessagestringMessage describing the error
404Not founduuidstringUnique identifier associated with the error
codeintegerfossa specific error code
messagestringmessage associated with this error
namestringname of the error
httpStatusCodeintegerhttp status code number
Try this endpoint
Build a request and run it against app.fossa.com.
Bearer
Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.
POST https://app.fossa.com/api/project_group/1/releasecurl --request POST \ --url 'https://app.fossa.com/api/project_group/1/release' \ --header 'accept: application/json' \ --header 'authorization: Bearer YOUR_API_TOKEN' \ --header 'content-type: application/json' \ --data '{ "title": "1.2.3", "projects": [ { "projectId": "git+github.com/myorg/myrepo", "branch": "main", "revisionId": "a0b1c3" }, { "projectId": "git+github.com/myorg/other-repo", "branch": "develop", "revisionId": "rev0003" }, { "projectId": "sbom+1/my-sbom-upload-project", "branch": "main", "revisionId": "rev123" } ]}'Real request. Mutating methods can change data.
Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.
Path params
groupIdintegerrequiredThe ID of the release group
application/json